import { Combobox as FoundationBaseComboBox, defaultComboboxConfig, foundationComboboxShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroBaseComboboxTemplate as template } from './base.combobox.template';
import { zeroComboboxStyles as styles } from './combobox.styles';
/**
 * @tagname %%prefix%%-combobox
 */
export class BaseCombobox extends FoundationBaseComboBox {
}
export const zeroBaseCombobox = BaseCombobox.compose(Object.assign({ baseName: 'base-combobox', template,
    styles, shadowOptions: foundationComboboxShadowOptions }, defaultComboboxConfig));
